Description

A while ago, Nyall introduced symbology-based styling of composer's shapes. It would be really nice to take that idea and port it to the

annotations. That would open the door for annotations to:

- have non-opaque backgrounds, thinking marker fill and line fill

- have control over how the frame joints are rendered (bevel, mitter, round)

- have non-solid frame line

- etc. etc. etc.

I was going to file an issue on broken rendering of annotation frames with large width, but thought of this symbology-based idea instead.

Associated revisions

Revision fac7887a - 2017-01-30 03:17 AM - Nyall Dawson

[FEATURE] Annotations can be styled using fill symbol styles (fix #10552)

This changes the rendering of annotation frames to use QGIS' symbology

engine, which means that all the existing fill styles can now be

used to style annotation frames.

Also paint effects & data defined symbol parameters. Whee!

History

#1 - 2014-06-24 05:08 AM - Paolo Cavallini

- Category set to Symbology

#2 - 2017-01-30 03:16 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"fac7887a9c64ee4cce632ce8f8ed49cba8a3f8bf".
